bluenviron/mediacommon

Entities shared between gohlslib, gortsplib, gortmplib, MediaMTX

Go

103

358 commits

updated Oct 10, 2026

See the code

README

mediacommon

Test Lint CodeCov PkgGoDev

Definitions and functions shared between gortsplib, gohlslib, gortmplib and MediaMTX, in particular:

Go ≥ 1.26 is required.

Specifications

namearea
ISO 13818-2, Generic Coding of Moving Pictures and Associated Audio information, Part 2, Videocodecs / MPEG-1/2 Video
ISO 14496-2, Coding of audio-visual objects, Part 2, Visualcodecs / MPEG-4 Video
ITU-T Rec. T-871, JPEG File Interchange Formatcodecs / JPEG
ITU-T Rec. H.264 (08/2021)codecs / H264
ITU-T Rec. H.265 (08/2021)codecs / H265
VP9 Bitstream & Decoding Process Specification v0.6codecs / VP9
AV1 Bitstream & Decoding Processcodecs / AV1
ITU-T Rec. G.711 (11/88)codecs / G711
ISO 11172-3, Coding of moving pictures and associated audiocodecs / MPEG-1/2 Audio
ISO 13818-3, Generic Coding of Moving Pictures and Associated Audio information, Part 3, Audiocodecs / MPEG-1/2 Audio
ISO 14496-3, Coding of audio-visual objects, Part 3, Audiocodecs / MPEG-4 Audio
RFC6716, Definition of the Opus Audio Codeccodecs / Opus
RFC7845, Ogg Encapsulation for the Opus Audio Codeccodecs / Opus
ATSC A/52, Digital Audio Compression (AC-3) (E-AC-3) Standardcodecs / AC-3, E-AC-3
ETSI TS 102 366, Digital Audio Compression (AC-3, Enhanced AC-3) Standardcodecs / AC-3, E-AC-3
RFC9639, Free Lossless Audio Codec (FLAC)codecs / FLAC
ISO 14496-1, Coding of audio-visual objects, Part 1, Systemsformats / MP4
ISO 14496-12, Coding of audio-visual objects, Part 12, ISO base media file formatformats / MP4
ISO 14496-14, Coding of audio-visual objects, Part 14, MP4 file formatformats / MP4
ISO 14496-15, Coding of audio-visual objects, Part 15, Advanced Video Coding (AVC) file formatformats / MP4 + H264 / H265
VP9 Codec ISO Media File Format Bindingformats / MP4 + VP9
AV1 Codec ISO Media File Format Bindingformats / MP4 + AV1
Opus in MP4/ISOBMFFformats / MP4 + Opus
ISO 23003-5, MPEG audio technologies, Part 5, Uncompressed audio in MPEG-4 file formatformats / MP4 + LPCM
Encapsulation of FLAC in ISO Base Media File Formatformats/ MP4 + FLAC
ISO 13818-1, Generic coding of moving pictures and associated audio information: Systemsformats / MPEG-TS
ETSI TS Opus 0.1.3-draft, Opus Interactive Audio Codec Transport Multiplexing Standardformats / MPEG-TS + Opus
MISB ST 1402, MPEG-2 Transport Stream for Class 1/Class 2 Motion Imagery, Audio and Metadataformats / MPEG-TS + KLV
ETSI EN 300 743, Digital Video Broadcasting (DVB), Subtitling systemsformats / MPEG-TS + DVB subtitles
ETSI EN 300 468, Digital Video Broadcasting (DVB), Specification for Service Information (SI) in DVB systemsformats / MPEG-TS + DVB subtitles
aac
ac-3
av1
go
golang
h264
h265
mp3
mp4
mpeg-ts
opus
vp9

bluenviron/mediacommon

Entities shared between gohlslib, gortsplib, gortmplib, MediaMTX

Go

103

358 commits

updated Oct 10, 2026

See the code

README

mediacommon

Test Lint CodeCov PkgGoDev

Definitions and functions shared between gortsplib, gohlslib, gortmplib and MediaMTX, in particular:

Go ≥ 1.26 is required.

Specifications

namearea
ISO 13818-2, Generic Coding of Moving Pictures and Associated Audio information, Part 2, Videocodecs / MPEG-1/2 Video
ISO 14496-2, Coding of audio-visual objects, Part 2, Visualcodecs / MPEG-4 Video
ITU-T Rec. T-871, JPEG File Interchange Formatcodecs / JPEG
ITU-T Rec. H.264 (08/2021)codecs / H264
ITU-T Rec. H.265 (08/2021)codecs / H265
VP9 Bitstream & Decoding Process Specification v0.6codecs / VP9
AV1 Bitstream & Decoding Processcodecs / AV1
ITU-T Rec. G.711 (11/88)codecs / G711
ISO 11172-3, Coding of moving pictures and associated audiocodecs / MPEG-1/2 Audio
ISO 13818-3, Generic Coding of Moving Pictures and Associated Audio information, Part 3, Audiocodecs / MPEG-1/2 Audio
ISO 14496-3, Coding of audio-visual objects, Part 3, Audiocodecs / MPEG-4 Audio
RFC6716, Definition of the Opus Audio Codeccodecs / Opus
RFC7845, Ogg Encapsulation for the Opus Audio Codeccodecs / Opus
ATSC A/52, Digital Audio Compression (AC-3) (E-AC-3) Standardcodecs / AC-3, E-AC-3
ETSI TS 102 366, Digital Audio Compression (AC-3, Enhanced AC-3) Standardcodecs / AC-3, E-AC-3
RFC9639, Free Lossless Audio Codec (FLAC)codecs / FLAC
ISO 14496-1, Coding of audio-visual objects, Part 1, Systemsformats / MP4
ISO 14496-12, Coding of audio-visual objects, Part 12, ISO base media file formatformats / MP4
ISO 14496-14, Coding of audio-visual objects, Part 14, MP4 file formatformats / MP4
ISO 14496-15, Coding of audio-visual objects, Part 15, Advanced Video Coding (AVC) file formatformats / MP4 + H264 / H265
VP9 Codec ISO Media File Format Bindingformats / MP4 + VP9
AV1 Codec ISO Media File Format Bindingformats / MP4 + AV1
Opus in MP4/ISOBMFFformats / MP4 + Opus
ISO 23003-5, MPEG audio technologies, Part 5, Uncompressed audio in MPEG-4 file formatformats / MP4 + LPCM
Encapsulation of FLAC in ISO Base Media File Formatformats/ MP4 + FLAC
ISO 13818-1, Generic coding of moving pictures and associated audio information: Systemsformats / MPEG-TS
ETSI TS Opus 0.1.3-draft, Opus Interactive Audio Codec Transport Multiplexing Standardformats / MPEG-TS + Opus
MISB ST 1402, MPEG-2 Transport Stream for Class 1/Class 2 Motion Imagery, Audio and Metadataformats / MPEG-TS + KLV
ETSI EN 300 743, Digital Video Broadcasting (DVB), Subtitling systemsformats / MPEG-TS + DVB subtitles
ETSI EN 300 468, Digital Video Broadcasting (DVB), Specification for Service Information (SI) in DVB systemsformats / MPEG-TS + DVB subtitles
aac
ac-3
av1
go
golang
h264
h265
mp3
mp4
mpeg-ts
opus
vp9

Project health

Overall

7.0/10

Maintained

10/10

Code review

3/10
OpenSSF Scorecard

Latest release

v1.14.1 · Jan 31, 2026

Releases this year

1

Significant stargazers

BatteredBunny

53 followers · starred Mar 2026